package accountlogic

import (
	"context"

	"code.30cm.net/digimon/app-cloudep-member-server/gen_result/pb/member"
	"code.30cm.net/digimon/app-cloudep-member-server/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetUIDByAccountLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetUIDByAccountLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetUIDByAccountLogic {
	return &GetUIDByAccountLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// GetUIDByAccount 用帳號換取 UID
func (l *GetUIDByAccountLogic) GetUIDByAccount(in *member.GetUIDByAccountReq) (*member.GetUIDByAccountResp, error) {
	// todo: add your logic here and delete this line

	return &member.GetUIDByAccountResp{}, nil
}
